# stg-fold(1) Manual Page

## NAME

stg-fold - Fold diff file into the current patch

## SYNOPSIS

    stg fold [OPTIONS] [file]

## DESCRIPTION

Fold diff file into the current patch. The given GNU diff file (or standard input) is applied onto the current patch.

With the --threeway option, the diff is applied onto the bottom of the current patch and a three-way merge is performed with the current top. With the --base option, the diff is applied onto the specified base and a three-way merge is performed with the current top.

## OPTIONS

-t
--threeway

  Perform a three-way merge with the current patch

-b <committish>
--base=<committish>

  Use <committish> instead of HEAD when applying the patch

-p <n>
--strip=<n>

  Remove <n> leading components from diff paths (default 1)

-C <n>

  Ensure <n> lines of matching context for each change

--reject

  Leave rejected hunks in ".rej" files

## StGit

Part of the StGit suite - see stg(1)